<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DS_Report" targetNamespace="http://tempuri.org/DS_Report.xsd" xmlns:mstns="http://tempuri.org/DS_Report.xsd" xmlns="http://tempuri.org/DS_Report.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="Sauder_NKCConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="Sauder_NKCConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.AppData.Properties.Settings.GlobalReference.Default.Sauder_NKCConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="stp_prt_BunkListTableAdapter" GeneratorDataComponentClassName="stp_prt_BunkListTableAdapter" Name="stp_prt_BunkList" UserDataComponentName="stp_prt_BunkListTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.prt.stp_prt_BunkList" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="false" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>prt.stp_prt_BunkList</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@StackID" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="nvarchar" DbType="String" Direction="Input" ParameterName="@QRCodeBaseUrl" Precision="0" ProviderType="NVarChar" Scale="0" Size="400" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="StackIndex" DataSetColumn="StackIndex" />
              <Mapping SourceColumn="StackDtmx" DataSetColumn="StackDtmx" />
              <Mapping SourceColumn="Prepared" DataSetColumn="Prepared" />
              <Mapping SourceColumn="DueDate" DataSetColumn="DueDate" />
              <Mapping SourceColumn="SheetSequ" DataSetColumn="SheetSequ" />
              <Mapping SourceColumn="MatExtCode" DataSetColumn="MatExtCode" />
              <Mapping SourceColumn="MatDesc" DataSetColumn="MatDesc" />
              <Mapping SourceColumn="QRCodeBaseUrl" DataSetColumn="QRCodeBaseUrl" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="PrintJobQueueTableAdapter" GeneratorDataComponentClassName="PrintJobQueueTableAdapter" Name="PrintJobQueue" UserDataComponentName="PrintJobQueueTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.PrintJobQueue" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[PrintJobQueue] WHERE (([IdxPrintJob] = @Original_IdxPrintJob) AND ([TipoReport] = @Original_TipoReport) AND ([KeyParam] = @Original_KeyParam) AND ([prtName] = @Original_prtName) AND ([dtStart] = @Original_dtStart) AND ((@IsNull_dtEnd = 1 AND [dtEnd] IS NULL) OR ([dtEnd] = @Original_dtEnd)) AND ([stato] = @Original_stato) AND ((@IsNull_dtLastTry = 1 AND [dtLastTry] IS NULL) OR ([dtLastTry] = @Original_dtLastTry)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_IdxPrintJob" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="IdxPrintJob" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_TipoReport" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="TipoReport" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_KeyParam" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="KeyParam" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_prtName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="prtName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_dtStart" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtStart" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_dtEnd" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="dtEnd" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_dtEnd" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtEnd" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_stato" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="stato" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_dtLastTry" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="dtLastTry" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_dtLastTry" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtLastTry" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[PrintJobQueue] ([TipoReport], [KeyParam], [prtName], [dtStart], [dtEnd], [stato], [dtLastTry]) VALUES (@TipoReport, @KeyParam, @prtName, @dtStart, @dtEnd, @stato, @dtLastTry);
SELECT IdxPrintJob, TipoReport, KeyParam, prtName, dtStart, dtEnd, stato, dtLastTry FROM PrintJobQueue WHERE (IdxPrintJob = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@TipoReport" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="TipoReport" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@KeyParam" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="KeyParam" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@prtName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="prtName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@dtStart" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtStart" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@dtEnd" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtEnd" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@stato" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="stato" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@dtLastTry" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtLastTry" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT IdxPrintJob, TipoReport, KeyParam, prtName, dtStart, dtEnd, stato, dtLastTry FROM dbo.PrintJobQueue</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[PrintJobQueue] SET [TipoReport] = @TipoReport, [KeyParam] = @KeyParam, [prtName] = @prtName, [dtStart] = @dtStart, [dtEnd] = @dtEnd, [stato] = @stato, [dtLastTry] = @dtLastTry WHERE (([IdxPrintJob] = @Original_IdxPrintJob) AND ([TipoReport] = @Original_TipoReport) AND ([KeyParam] = @Original_KeyParam) AND ([prtName] = @Original_prtName) AND ([dtStart] = @Original_dtStart) AND ((@IsNull_dtEnd = 1 AND [dtEnd] IS NULL) OR ([dtEnd] = @Original_dtEnd)) AND ([stato] = @Original_stato) AND ((@IsNull_dtLastTry = 1 AND [dtLastTry] IS NULL) OR ([dtLastTry] = @Original_dtLastTry)));
SELECT IdxPrintJob, TipoReport, KeyParam, prtName, dtStart, dtEnd, stato, dtLastTry FROM PrintJobQueue WHERE (IdxPrintJob = @IdxPrintJob)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@TipoReport" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="TipoReport" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@KeyParam" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="KeyParam" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@prtName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="prtName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@dtStart" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtStart" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@dtEnd" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtEnd" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@stato" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="stato" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@dtLastTry" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtLastTry" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_IdxPrintJob" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="IdxPrintJob" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_TipoReport" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="TipoReport" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_KeyParam" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="KeyParam" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_prtName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="prtName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_dtStart" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtStart" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_dtEnd" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="dtEnd" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_dtEnd" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtEnd" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_stato" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="stato" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_dtLastTry" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="dtLastTry" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_dtLastTry" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="dtLastTry" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="IdxPrintJob" ColumnName="IdxPrintJob" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@IdxPrintJob" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="IdxPrintJob" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="IdxPrintJob" DataSetColumn="IdxPrintJob" />
              <Mapping SourceColumn="TipoReport" DataSetColumn="TipoReport" />
              <Mapping SourceColumn="KeyParam" DataSetColumn="KeyParam" />
              <Mapping SourceColumn="prtName" DataSetColumn="prtName" />
              <Mapping SourceColumn="dtStart" DataSetColumn="dtStart" />
              <Mapping SourceColumn="dtEnd" DataSetColumn="dtEnd" />
              <Mapping SourceColumn="stato" DataSetColumn="stato" />
              <Mapping SourceColumn="dtLastTry" DataSetColumn="dtLastTry" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_PJQ_chiudiZoombie" DbObjectType="StoredProcedure" GenerateShortCommands="true" GeneratorSourceName="chiudiZoombie" Modifier="Public" Name="chiudiZoombie" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy" UserSourceName="chiudiZoombie">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_PJQ_chiudiZoombie</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@dtLastTryMax" Precision="23" ProviderType="DateTime" Scale="3" Size="8" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_PJQ_getByQueue" DbObjectType="StoredProcedure" GenerateMethods="Get" GenerateShortCommands="true" GeneratorGetMethodName="getByQueue" GetMethodModifier="Public" GetMethodName="getByQueue" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="getByQueue" UserSourceName="getByQueue">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_PJQ_getByQueue</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@queue" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_PJQ_getByQueueAll" DbObjectType="StoredProcedure" GenerateMethods="Get" GenerateShortCommands="true" GeneratorGetMethodName="getByQueueAll" GetMethodModifier="Public" GetMethodName="getByQueueAll" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="getByQueueAll" UserSourceName="getByQueueAll">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_PJQ_getByQueueAll</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@queue" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_PJQ_getFirtsByUdc" DbObjectType="StoredProcedure" GenerateMethods="Get" GenerateShortCommands="true" GeneratorGetMethodName="getFirstByParam" GetMethodModifier="Public" GetMethodName="getFirstByParam" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="getFirstByParam" UserSourceName="getFirstByParam">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_PJQ_getFirtsByUdc</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@keyParam" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_PJQ_getNext" DbObjectType="StoredProcedure" GenerateMethods="Get" GenerateShortCommands="true" GeneratorGetMethodName="getNext" GetMethodModifier="Public" GetMethodName="getNext" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="getNext" UserSourceName="getNext">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_PJQ_getNext</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_PJQ_getWaiting" DbObjectType="StoredProcedure" GenerateMethods="Get" GenerateShortCommands="true" GeneratorGetMethodName="getWaiting" GetMethodModifier="Public" GetMethodName="getWaiting" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="getWaiting" UserSourceName="getWaiting">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_PJQ_getWaiting</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_PJQ_insert" DbObjectType="StoredProcedure" GenerateShortCommands="true" GeneratorSourceName="insertQuery" Modifier="Public" Name="insertQuery" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy1" UserSourceName="insertQuery">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_PJQ_insert</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@TipoReport" Precision="0" ProviderType="VarChar" Scale="0" Size="250" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@keyParam" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@prtName" Precision="0" ProviderType="VarChar" Scale="0" Size="500" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_PJQ_updateLastTry" DbObjectType="StoredProcedure" GenerateShortCommands="true" GeneratorSourceName="updateLastTry" Modifier="Public" Name="updateLastTry" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy2" UserSourceName="updateLastTry">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_PJQ_updateLastTry</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@keyParam" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_PJQ_updateStato" DbObjectType="StoredProcedure" GenerateShortCommands="true" GeneratorSourceName="updateStato" Modifier="Public" Name="updateStato" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy3" UserSourceName="updateStato">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_PJQ_updateStato</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@IdxPrintJob" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@stato" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="ElencoPostazioniTableAdapter" GeneratorDataComponentClassName="ElencoPostazioniTableAdapter" Name="ElencoPostazioni" UserDataComponentName="ElencoPostazioniTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.ElencoPostazioni" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[ElencoPostazioni] WHERE (([codPostazione] = @Original_codPostazione) AND ((@IsNull_stampante = 1 AND [stampante] IS NULL) OR ([stampante] = @Original_stampante)) AND ((@IsNull_note = 1 AND [note] IS NULL) OR ([note] = @Original_note)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_codPostazione" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="codPostazione" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_stampante" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="stampante" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_stampante" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="stampante" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_note" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="note" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_note" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="note" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[ElencoPostazioni] ([codPostazione], [stampante], [note]) VALUES (@codPostazione, @stampante, @note);
SELECT codPostazione, stampante, note FROM ElencoPostazioni WHERE (codPostazione = @codPostazione)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@codPostazione" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="codPostazione" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@stampante" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="stampante" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@note" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="note" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT codPostazione, stampante, note FROM dbo.ElencoPostazioni</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[ElencoPostazioni] SET [codPostazione] = @codPostazione, [stampante] = @stampante, [note] = @note WHERE (([codPostazione] = @Original_codPostazione) AND ((@IsNull_stampante = 1 AND [stampante] IS NULL) OR ([stampante] = @Original_stampante)) AND ((@IsNull_note = 1 AND [note] IS NULL) OR ([note] = @Original_note)));
SELECT codPostazione, stampante, note FROM ElencoPostazioni WHERE (codPostazione = @codPostazione)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@codPostazione" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="codPostazione" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@stampante" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="stampante" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@note" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="note" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_codPostazione" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="codPostazione" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_stampante" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="stampante" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_stampante" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="stampante" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_note" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="note" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_note" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="note" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="codPostazione" DataSetColumn="codPostazione" />
              <Mapping SourceColumn="stampante" DataSetColumn="stampante" />
              <Mapping SourceColumn="note" DataSetColumn="note" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.dbo.stp_EP_getByKey" DbObjectType="StoredProcedure" GenerateMethods="Get" GenerateShortCommands="true" GeneratorGetMethodName="getByKey" GetMethodModifier="Public" GetMethodName="getByKey" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="getByKey" UserSourceName="getByKey">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.stp_EP_getByKey</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="nvarchar" DbType="String" Direction="Input" ParameterName="@codPostaizone" Precision="0" ProviderType="NVarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="stp_prt_BinTableAdapter" GeneratorDataComponentClassName="stp_prt_BinTableAdapter" Name="stp_prt_Bin" UserDataComponentName="stp_prt_BinTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.prt.stp_prt_Bin" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="false" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>prt.stp_prt_Bin</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@BinID" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="bit" DbType="Boolean" Direction="Input" ParameterName="@flgPrePost" Precision="1" ProviderType="Bit" Scale="0" Size="1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="nvarchar" DbType="String" Direction="Input" ParameterName="@PathImage" Precision="0" ProviderType="NVarChar" Scale="0" Size="4000" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="nvarchar" DbType="String" Direction="Input" ParameterName="@QRCodeBaseUrl" Precision="0" ProviderType="NVarChar" Scale="0" Size="400" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="BinID" DataSetColumn="BinID" />
              <Mapping SourceColumn="flgPreOrPost" DataSetColumn="flgPreOrPost" />
              <Mapping SourceColumn="BinIndex" DataSetColumn="BinIndex" />
              <Mapping SourceColumn="BinIndexChar" DataSetColumn="BinIndexChar" />
              <Mapping SourceColumn="ItemExtCode" DataSetColumn="ItemExtCode" />
              <Mapping SourceColumn="ItemDesc" DataSetColumn="ItemDesc" />
              <Mapping SourceColumn="BinDtmxRich" DataSetColumn="BinDtmxRich" />
              <Mapping SourceColumn="BinDtmx" DataSetColumn="BinDtmx" />
              <Mapping SourceColumn="BinDtmxProc" DataSetColumn="BinDtmxProc" />
              <Mapping SourceColumn="TotItem" DataSetColumn="TotItem" />
              <Mapping SourceColumn="PathImageFull" DataSetColumn="PathImageFull" />
              <Mapping SourceColumn="QRCodeBaseUrl" DataSetColumn="QRCodeBaseUrl" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="stp_prt_PartTableAdapter" GeneratorDataComponentClassName="stp_prt_PartTableAdapter" Name="stp_prt_Part" UserDataComponentName="stp_prt_PartTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.prt.stp_prt_Part" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="false" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>prt.stp_prt_Part</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ItemID" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="nvarchar" DbType="String" Direction="Input" ParameterName="@QRCodeBaseUrl" Precision="0" ProviderType="NVarChar" Scale="0" Size="400" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ItemID" DataSetColumn="ItemID" />
              <Mapping SourceColumn="ItemDtmx" DataSetColumn="ItemDtmx" />
              <Mapping SourceColumn="Destination" DataSetColumn="Destination" />
              <Mapping SourceColumn="QRCodeBaseUrl" DataSetColumn="QRCodeBaseUrl" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="stp_prt_CartTableAdapter" GeneratorDataComponentClassName="stp_prt_CartTableAdapter" Name="stp_prt_Cart" UserDataComponentName="stp_prt_CartTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.prt.stp_prt_Cart" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="false" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>prt.stp_prt_Cart</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@CartID" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="nvarchar" DbType="String" Direction="Input" ParameterName="@QRCodeBaseUrl" Precision="0" ProviderType="NVarChar" Scale="0" Size="400" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="BatchID" DataSetColumn="BatchID" />
              <Mapping SourceColumn="CartID" DataSetColumn="CartID" />
              <Mapping SourceColumn="CartIndex" DataSetColumn="CartIndex" />
              <Mapping SourceColumn="CartDtmx" DataSetColumn="CartDtmx" />
              <Mapping SourceColumn="OrderExtCode" DataSetColumn="OrderExtCode" />
              <Mapping SourceColumn="FamilyCode" DataSetColumn="FamilyCode" />
              <Mapping SourceColumn="TotKit" DataSetColumn="TotKit" />
              <Mapping SourceColumn="QRCodeBaseUrl" DataSetColumn="QRCodeBaseUrl" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="stp_prt_BunkGroupTableAdapter" GeneratorDataComponentClassName="stp_prt_BunkGroupTableAdapter" Name="stp_prt_BunkGroup" UserDataComponentName="stp_prt_BunkGroupTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Sauder_NKCConnectionString (Settings)" DbObjectName="Sauder_NKC.prt.stp_prt_BunkGroup" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="false" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>prt.stp_prt_BunkGroup</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@StackID" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="nvarchar" DbType="String" Direction="Input" ParameterName="@QRCodeBaseUrl" Precision="0" ProviderType="NVarChar" Scale="0" Size="400" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="StackIndex" DataSetColumn="StackIndex" />
              <Mapping SourceColumn="StackDtmx" DataSetColumn="StackDtmx" />
              <Mapping SourceColumn="Prepared" DataSetColumn="Prepared" />
              <Mapping SourceColumn="DueDate" DataSetColumn="DueDate" />
              <Mapping SourceColumn="MatExtCode" DataSetColumn="MatExtCode" />
              <Mapping SourceColumn="MatDesc" DataSetColumn="MatDesc" />
              <Mapping SourceColumn="SheetIndexMax" DataSetColumn="SheetIndexMax" />
              <Mapping SourceColumn="SheetSequ" DataSetColumn="SheetSequ" />
              <Mapping SourceColumn="SheetTot" DataSetColumn="SheetTot" />
              <Mapping SourceColumn="QRCodeBaseUrl" DataSetColumn="QRCodeBaseUrl" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DS_Report" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DS_Report" msprop:Generator_UserDSName="DS_Report">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="stp_prt_BunkList" msprop:Generator_TableClassName="stp_prt_BunkListDataTable" msprop:Generator_TableVarName="tablestp_prt_BunkList" msprop:Generator_TablePropName="stp_prt_BunkList" msprop:Generator_RowDeletingName="stp_prt_BunkListRowDeleting" msprop:Generator_RowChangingName="stp_prt_BunkListRowChanging" msprop:Generator_RowEvHandlerName="stp_prt_BunkListRowChangeEventHandler" msprop:Generator_RowDeletedName="stp_prt_BunkListRowDeleted" msprop:Generator_UserTableName="stp_prt_BunkList" msprop:Generator_RowChangedName="stp_prt_BunkListRowChanged" msprop:Generator_RowEvArgName="stp_prt_BunkListRowChangeEvent" msprop:Generator_RowClassName="stp_prt_BunkListRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="StackIndex" msprop:Generator_ColumnVarNameInTable="columnStackIndex" msprop:Generator_ColumnPropNameInRow="StackIndex" msprop:Generator_ColumnPropNameInTable="StackIndexColumn" msprop:Generator_UserColumnName="StackIndex" type="xs:int" />
              <xs:element name="StackDtmx" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnStackDtmx" msprop:Generator_ColumnPropNameInRow="StackDtmx" msprop:Generator_ColumnPropNameInTable="StackDtmxColumn" msprop:Generator_UserColumnName="StackDtmx" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Prepared" msprop:Generator_ColumnVarNameInTable="columnPrepared" msprop:Generator_ColumnPropNameInRow="Prepared" msprop:Generator_ColumnPropNameInTable="PreparedColumn" msprop:Generator_UserColumnName="Prepared" type="xs:dateTime" minOccurs="0" />
              <xs:element name="DueDate" msprop:Generator_ColumnVarNameInTable="columnDueDate" msprop:Generator_ColumnPropNameInRow="DueDate" msprop:Generator_ColumnPropNameInTable="DueDateColumn" msprop:Generator_UserColumnName="DueDate" type="xs:dateTime" />
              <xs:element name="SheetSequ" msprop:Generator_ColumnVarNameInTable="columnSheetSequ" msprop:Generator_ColumnPropNameInRow="SheetSequ" msprop:Generator_ColumnPropNameInTable="SheetSequColumn" msprop:Generator_UserColumnName="SheetSequ" type="xs:int" />
              <xs:element name="MatExtCode" msprop:Generator_ColumnVarNameInTable="columnMatExtCode" msprop:Generator_ColumnPropNameInRow="MatExtCode" msprop:Generator_ColumnPropNameInTable="MatExtCodeColumn" msprop:Generator_UserColumnName="MatExtCode" type="xs:int" />
              <xs:element name="MatDesc" msprop:Generator_ColumnVarNameInTable="columnMatDesc" msprop:Generator_ColumnPropNameInRow="MatDesc" msprop:Generator_ColumnPropNameInTable="MatDescColumn" msprop:Generator_UserColumnName="MatDesc">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="500" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="QRCodeBaseUrl" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnQRCodeBaseUrl" msprop:Generator_ColumnPropNameInRow="QRCodeBaseUrl" msprop:Generator_ColumnPropNameInTable="QRCodeBaseUrlColumn" msprop:Generator_UserColumnName="QRCodeBaseUrl" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="400" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="PrintJobQueue" msprop:Generator_TableClassName="PrintJobQueueDataTable" msprop:Generator_TableVarName="tablePrintJobQueue" msprop:Generator_RowChangedName="PrintJobQueueRowChanged" msprop:Generator_TablePropName="PrintJobQueue" msprop:Generator_RowDeletingName="PrintJobQueueRowDeleting" msprop:Generator_RowChangingName="PrintJobQueueRowChanging" msprop:Generator_RowEvHandlerName="PrintJobQueueRowChangeEventHandler" msprop:Generator_RowDeletedName="PrintJobQueueRowDeleted" msprop:Generator_RowClassName="PrintJobQueueRow" msprop:Generator_UserTableName="PrintJobQueue" msprop:Generator_RowEvArgName="PrintJobQueueRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="IdxPrintJob" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnIdxPrintJob" msprop:Generator_ColumnPropNameInRow="IdxPrintJob" msprop:Generator_ColumnPropNameInTable="IdxPrintJobColumn" msprop:Generator_UserColumnName="IdxPrintJob" type="xs:int" />
              <xs:element name="TipoReport" msprop:Generator_ColumnVarNameInTable="columnTipoReport" msprop:Generator_ColumnPropNameInRow="TipoReport" msprop:Generator_ColumnPropNameInTable="TipoReportColumn" msprop:Generator_UserColumnName="TipoReport">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="KeyParam" msprop:Generator_ColumnVarNameInTable="columnKeyParam" msprop:Generator_ColumnPropNameInRow="KeyParam" msprop:Generator_ColumnPropNameInTable="KeyParamColumn" msprop:Generator_UserColumnName="KeyParam">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="prtName" msprop:Generator_ColumnVarNameInTable="columnprtName" msprop:Generator_ColumnPropNameInRow="prtName" msprop:Generator_ColumnPropNameInTable="prtNameColumn" msprop:Generator_UserColumnName="prtName">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="500" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="dtStart" msprop:Generator_ColumnVarNameInTable="columndtStart" msprop:Generator_ColumnPropNameInRow="dtStart" msprop:Generator_ColumnPropNameInTable="dtStartColumn" msprop:Generator_UserColumnName="dtStart" type="xs:dateTime" />
              <xs:element name="dtEnd" msprop:Generator_ColumnVarNameInTable="columndtEnd" msprop:Generator_ColumnPropNameInRow="dtEnd" msprop:Generator_ColumnPropNameInTable="dtEndColumn" msprop:Generator_UserColumnName="dtEnd" type="xs:dateTime" minOccurs="0" />
              <xs:element name="stato" msprop:Generator_ColumnVarNameInTable="columnstato" msprop:Generator_ColumnPropNameInRow="stato" msprop:Generator_ColumnPropNameInTable="statoColumn" msprop:Generator_UserColumnName="stato" type="xs:int" />
              <xs:element name="dtLastTry" msprop:Generator_ColumnVarNameInTable="columndtLastTry" msprop:Generator_ColumnPropNameInRow="dtLastTry" msprop:Generator_ColumnPropNameInTable="dtLastTryColumn" msprop:Generator_UserColumnName="dtLastTry" type="xs:dateTime" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="ElencoPostazioni" msprop:Generator_TableClassName="ElencoPostazioniDataTable" msprop:Generator_TableVarName="tableElencoPostazioni" msprop:Generator_RowChangedName="ElencoPostazioniRowChanged" msprop:Generator_TablePropName="ElencoPostazioni" msprop:Generator_RowDeletingName="ElencoPostazioniRowDeleting" msprop:Generator_RowChangingName="ElencoPostazioniRowChanging" msprop:Generator_RowEvHandlerName="ElencoPostazioniRowChangeEventHandler" msprop:Generator_RowDeletedName="ElencoPostazioniRowDeleted" msprop:Generator_RowClassName="ElencoPostazioniRow" msprop:Generator_UserTableName="ElencoPostazioni" msprop:Generator_RowEvArgName="ElencoPostazioniRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="codPostazione" msprop:Generator_ColumnVarNameInTable="columncodPostazione" msprop:Generator_ColumnPropNameInRow="codPostazione" msprop:Generator_ColumnPropNameInTable="codPostazioneColumn" msprop:Generator_UserColumnName="codPostazione">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="stampante" msprop:Generator_ColumnVarNameInTable="columnstampante" msprop:Generator_ColumnPropNameInRow="stampante" msprop:Generator_ColumnPropNameInTable="stampanteColumn" msprop:Generator_UserColumnName="stampante" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="note" msprop:Generator_ColumnVarNameInTable="columnnote" msprop:Generator_ColumnPropNameInRow="note" msprop:Generator_ColumnPropNameInTable="noteColumn" msprop:Generator_UserColumnName="note" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="stp_prt_Bin" msprop:Generator_TableClassName="stp_prt_BinDataTable" msprop:Generator_TableVarName="tablestp_prt_Bin" msprop:Generator_TablePropName="stp_prt_Bin" msprop:Generator_RowDeletingName="stp_prt_BinRowDeleting" msprop:Generator_RowChangingName="stp_prt_BinRowChanging" msprop:Generator_RowEvHandlerName="stp_prt_BinRowChangeEventHandler" msprop:Generator_RowDeletedName="stp_prt_BinRowDeleted" msprop:Generator_UserTableName="stp_prt_Bin" msprop:Generator_RowChangedName="stp_prt_BinRowChanged" msprop:Generator_RowEvArgName="stp_prt_BinRowChangeEvent" msprop:Generator_RowClassName="stp_prt_BinRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="BinID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnBinID" msprop:Generator_ColumnPropNameInRow="BinID" msprop:Generator_ColumnPropNameInTable="BinIDColumn" msprop:Generator_UserColumnName="BinID" type="xs:int" />
              <xs:element name="flgPreOrPost" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnflgPreOrPost" msprop:Generator_ColumnPropNameInRow="flgPreOrPost" msprop:Generator_ColumnPropNameInTable="flgPreOrPostColumn" msprop:Generator_UserColumnName="flgPreOrPost" type="xs:boolean" minOccurs="0" />
              <xs:element name="BinIndex" msprop:Generator_ColumnVarNameInTable="columnBinIndex" msprop:Generator_ColumnPropNameInRow="BinIndex" msprop:Generator_ColumnPropNameInTable="BinIndexColumn" msprop:Generator_UserColumnName="BinIndex" type="xs:int" />
              <xs:element name="BinIndexChar" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnBinIndexChar" msprop:Generator_ColumnPropNameInRow="BinIndexChar" msprop:Generator_ColumnPropNameInTable="BinIndexCharColumn" msprop:Generator_UserColumnName="BinIndexChar" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="51" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ItemExtCode" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnItemExtCode" msprop:Generator_ColumnPropNameInRow="ItemExtCode" msprop:Generator_ColumnPropNameInTable="ItemExtCodeColumn" msprop:Generator_UserColumnName="ItemExtCode" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ItemDesc" msprop:Generator_ColumnVarNameInTable="columnItemDesc" msprop:Generator_ColumnPropNameInRow="ItemDesc" msprop:Generator_ColumnPropNameInTable="ItemDescColumn" msprop:Generator_UserColumnName="ItemDesc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="500" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="BinDtmxRich" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnBinDtmxRich" msprop:Generator_ColumnPropNameInRow="BinDtmxRich" msprop:Generator_ColumnPropNameInTable="BinDtmxRichColumn" msprop:Generator_UserColumnName="BinDtmxRich" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="BinDtmx" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnBinDtmx" msprop:Generator_ColumnPropNameInRow="BinDtmx" msprop:Generator_ColumnPropNameInTable="BinDtmxColumn" msprop:Generator_UserColumnName="BinDtmx" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="BinDtmxProc" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnBinDtmxProc" msprop:Generator_ColumnPropNameInRow="BinDtmxProc" msprop:Generator_ColumnPropNameInTable="BinDtmxProcColumn" msprop:Generator_UserColumnName="BinDtmxProc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="TotItem" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnTotItem" msprop:Generator_ColumnPropNameInRow="TotItem" msprop:Generator_ColumnPropNameInTable="TotItemColumn" msprop:Generator_UserColumnName="TotItem" type="xs:int" minOccurs="0" />
              <xs:element name="PathImageFull" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnPathImageFull" msprop:Generator_ColumnPropNameInRow="PathImageFull" msprop:Generator_ColumnPropNameInTable="PathImageFullColumn" msprop:Generator_UserColumnName="PathImageFull" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="4000" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="QRCodeBaseUrl" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnQRCodeBaseUrl" msprop:Generator_ColumnPropNameInRow="QRCodeBaseUrl" msprop:Generator_ColumnPropNameInTable="QRCodeBaseUrlColumn" msprop:Generator_UserColumnName="QRCodeBaseUrl" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="400" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="stp_prt_Part" msprop:Generator_TableClassName="stp_prt_PartDataTable" msprop:Generator_TableVarName="tablestp_prt_Part" msprop:Generator_TablePropName="stp_prt_Part" msprop:Generator_RowDeletingName="stp_prt_PartRowDeleting" msprop:Generator_RowChangingName="stp_prt_PartRowChanging" msprop:Generator_RowEvHandlerName="stp_prt_PartRowChangeEventHandler" msprop:Generator_RowDeletedName="stp_prt_PartRowDeleted" msprop:Generator_UserTableName="stp_prt_Part" msprop:Generator_RowChangedName="stp_prt_PartRowChanged" msprop:Generator_RowEvArgName="stp_prt_PartRowChangeEvent" msprop:Generator_RowClassName="stp_prt_PartRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ItemID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnItemID" msprop:Generator_ColumnPropNameInRow="ItemID" msprop:Generator_ColumnPropNameInTable="ItemIDColumn" msprop:Generator_UserColumnName="ItemID" type="xs:int" />
              <xs:element name="ItemDtmx" msprop:Generator_ColumnVarNameInTable="columnItemDtmx" msprop:Generator_ColumnPropNameInRow="ItemDtmx" msprop:Generator_ColumnPropNameInTable="ItemDtmxColumn" msprop:Generator_UserColumnName="ItemDtmx" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Destination" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnDestination" msprop:Generator_ColumnPropNameInRow="Destination" msprop:Generator_ColumnPropNameInTable="DestinationColumn" msprop:Generator_UserColumnName="Destination" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="QRCodeBaseUrl" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnQRCodeBaseUrl" msprop:Generator_ColumnPropNameInRow="QRCodeBaseUrl" msprop:Generator_ColumnPropNameInTable="QRCodeBaseUrlColumn" msprop:Generator_UserColumnName="QRCodeBaseUrl" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="400" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="stp_prt_Cart" msprop:Generator_TableClassName="stp_prt_CartDataTable" msprop:Generator_TableVarName="tablestp_prt_Cart" msprop:Generator_TablePropName="stp_prt_Cart" msprop:Generator_RowDeletingName="stp_prt_CartRowDeleting" msprop:Generator_RowChangingName="stp_prt_CartRowChanging" msprop:Generator_RowEvHandlerName="stp_prt_CartRowChangeEventHandler" msprop:Generator_RowDeletedName="stp_prt_CartRowDeleted" msprop:Generator_UserTableName="stp_prt_Cart" msprop:Generator_RowChangedName="stp_prt_CartRowChanged" msprop:Generator_RowEvArgName="stp_prt_CartRowChangeEvent" msprop:Generator_RowClassName="stp_prt_CartRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="BatchID" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnBatchID" msprop:Generator_ColumnPropNameInRow="BatchID" msprop:Generator_ColumnPropNameInTable="BatchIDColumn" msprop:Generator_UserColumnName="BatchID" type="xs:int" minOccurs="0" />
              <xs:element name="CartID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnCartID" msprop:Generator_ColumnPropNameInRow="CartID" msprop:Generator_ColumnPropNameInTable="CartIDColumn" msprop:Generator_UserColumnName="CartID" type="xs:int" />
              <xs:element name="CartIndex" msprop:Generator_ColumnVarNameInTable="columnCartIndex" msprop:Generator_ColumnPropNameInRow="CartIndex" msprop:Generator_ColumnPropNameInTable="CartIndexColumn" msprop:Generator_UserColumnName="CartIndex" type="xs:int" />
              <xs:element name="CartDtmx" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnCartDtmx" msprop:Generator_ColumnPropNameInRow="CartDtmx" msprop:Generator_ColumnPropNameInTable="CartDtmxColumn" msprop:Generator_UserColumnName="CartDtmx" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="OrderExtCode" msprop:Generator_ColumnVarNameInTable="columnOrderExtCode" msprop:Generator_ColumnPropNameInRow="OrderExtCode" msprop:Generator_ColumnPropNameInTable="OrderExtCodeColumn" msprop:Generator_UserColumnName="OrderExtCode" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="FamilyCode" msprop:Generator_ColumnVarNameInTable="columnFamilyCode" msprop:Generator_ColumnPropNameInRow="FamilyCode" msprop:Generator_ColumnPropNameInTable="FamilyCodeColumn" msprop:Generator_UserColumnName="FamilyCode" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="TotKit" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnTotKit" msprop:Generator_ColumnPropNameInRow="TotKit" msprop:Generator_ColumnPropNameInTable="TotKitColumn" msprop:Generator_UserColumnName="TotKit" type="xs:int" minOccurs="0" />
              <xs:element name="QRCodeBaseUrl" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnQRCodeBaseUrl" msprop:Generator_ColumnPropNameInRow="QRCodeBaseUrl" msprop:Generator_ColumnPropNameInTable="QRCodeBaseUrlColumn" msprop:Generator_UserColumnName="QRCodeBaseUrl" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="400" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="stp_prt_BunkGroup" msprop:Generator_TableClassName="stp_prt_BunkGroupDataTable" msprop:Generator_TableVarName="tablestp_prt_BunkGroup" msprop:Generator_TablePropName="stp_prt_BunkGroup" msprop:Generator_RowDeletingName="stp_prt_BunkGroupRowDeleting" msprop:Generator_RowChangingName="stp_prt_BunkGroupRowChanging" msprop:Generator_RowEvHandlerName="stp_prt_BunkGroupRowChangeEventHandler" msprop:Generator_RowDeletedName="stp_prt_BunkGroupRowDeleted" msprop:Generator_UserTableName="stp_prt_BunkGroup" msprop:Generator_RowChangedName="stp_prt_BunkGroupRowChanged" msprop:Generator_RowEvArgName="stp_prt_BunkGroupRowChangeEvent" msprop:Generator_RowClassName="stp_prt_BunkGroupRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="StackIndex" msprop:Generator_ColumnVarNameInTable="columnStackIndex" msprop:Generator_ColumnPropNameInRow="StackIndex" msprop:Generator_ColumnPropNameInTable="StackIndexColumn" msprop:Generator_UserColumnName="StackIndex" type="xs:int" />
              <xs:element name="StackDtmx" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnStackDtmx" msprop:Generator_ColumnPropNameInRow="StackDtmx" msprop:Generator_ColumnPropNameInTable="StackDtmxColumn" msprop:Generator_UserColumnName="StackDtmx" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Prepared" msprop:Generator_ColumnVarNameInTable="columnPrepared" msprop:Generator_ColumnPropNameInRow="Prepared" msprop:Generator_ColumnPropNameInTable="PreparedColumn" msprop:Generator_UserColumnName="Prepared" type="xs:dateTime" minOccurs="0" />
              <xs:element name="DueDate" msprop:Generator_ColumnVarNameInTable="columnDueDate" msprop:Generator_ColumnPropNameInRow="DueDate" msprop:Generator_ColumnPropNameInTable="DueDateColumn" msprop:Generator_UserColumnName="DueDate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="MatExtCode" msprop:Generator_ColumnVarNameInTable="columnMatExtCode" msprop:Generator_ColumnPropNameInRow="MatExtCode" msprop:Generator_ColumnPropNameInTable="MatExtCodeColumn" msprop:Generator_UserColumnName="MatExtCode" type="xs:int" />
              <xs:element name="MatDesc" msprop:Generator_ColumnVarNameInTable="columnMatDesc" msprop:Generator_ColumnPropNameInRow="MatDesc" msprop:Generator_ColumnPropNameInTable="MatDescColumn" msprop:Generator_UserColumnName="MatDesc">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="500" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SheetIndexMax" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnSheetIndexMax" msprop:Generator_ColumnPropNameInRow="SheetIndexMax" msprop:Generator_ColumnPropNameInTable="SheetIndexMaxColumn" msprop:Generator_UserColumnName="SheetIndexMax" type="xs:int" minOccurs="0" />
              <xs:element name="SheetSequ" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnSheetSequ" msprop:Generator_ColumnPropNameInRow="SheetSequ" msprop:Generator_ColumnPropNameInTable="SheetSequColumn" msprop:Generator_UserColumnName="SheetSequ" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="9" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SheetTot" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnSheetTot" msprop:Generator_ColumnPropNameInRow="SheetTot" msprop:Generator_ColumnPropNameInTable="SheetTotColumn" msprop:Generator_UserColumnName="SheetTot" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="5" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="QRCodeBaseUrl" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columnQRCodeBaseUrl" msprop:Generator_ColumnPropNameInRow="QRCodeBaseUrl" msprop:Generator_ColumnPropNameInTable="QRCodeBaseUrlColumn" msprop:Generator_UserColumnName="QRCodeBaseUrl" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="400" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:PrintJobQueue" />
      <xs:field xpath="mstns:IdxPrintJob" />
    </xs:unique>
    <xs:unique name="ElencoPostazioni_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:ElencoPostazioni" />
      <xs:field xpath="mstns:codPostazione" />
    </xs:unique>
    <xs:unique name="stp_prt_Bin_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:stp_prt_Bin" />
      <xs:field xpath="mstns:BinID" />
    </xs:unique>
    <xs:unique name="stp_prt_Part_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:stp_prt_Part" />
      <xs:field xpath="mstns:ItemID" />
    </xs:unique>
    <xs:unique name="stp_prt_Cart_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:stp_prt_Cart" />
      <xs:field xpath="mstns:CartID" />
    </xs:unique>
  </xs:element>
</xs:schema>